Editor Agent
Get editor preferences
GET
/editor-agent/preferencesAuthorizationBearer <token>
In: header
Query Parameters
workspace_id*string
project_id?string
editor_kind?string
Default
"video"Value in
- "video"
- "image"
context?string
Length
length <= 100Response Body
application/json
application/problem+json
application/problem+json
application/problem+json
application/problem+json
curl -X GET "https://example.com/editor-agent/preferences?workspace_id=string"{ "$schema": "https://example.com/api/v1/schemas/Context.json", "favorites": [ { "device_local": true, "editor_kind": "string", "entry_id": "string", "entry_name": "string", "favorite": true, "updated_at": "2019-08-24T14:15:22Z" } ], "learning_enabled": true, "preferences": [ { "$schema": "https://example.com/api/v1/schemas/Preference.json", "context": "string", "editor_kind": "video", "enabled": true, "id": "string", "project_id": "string", "revision": 0, "rule": "string", "source_instruction": "string", "updated_at": "2019-08-24T14:15:22Z", "workspace_id": "string" } ], "styles": [ { "$schema": "https://example.com/api/v1/schemas/Style.json", "archived": true, "built_in": true, "context": "string", "created_at": "2019-08-24T14:15:22Z", "definition": { "captions": { "align": "left", "color": "string", "font_asset_id": "string", "font_family": "string", "font_size": 0 }, "guidance": [ "string" ], "interpretations": [ "string" ], "library": [ { "id": "string", "role": "string", "version": "string" } ], "palette": [ "string" ], "source_project_id": "string", "source_revision": "string", "typography": { "align": "left", "color": "string", "font_asset_id": "string", "font_family": "string", "font_size": 0 } }, "editor_kind": "video", "id": "string", "name": "string", "shared": true, "source_instruction": "string", "version": 0, "workspace_id": "string" } ], "suggestions": [ { "context": "string", "entry_id": "string", "entry_name": "string", "last_used_at": "2019-08-24T14:15:22Z", "projects": 0 } ]}